# Class: OSMXML

## OSMXML

Feature format for reading and writing data in the OSMXML format.

#### new ol.format.OSMXML() experimental

src/ol/format/osmxmlformat.js, line 26

### Extends

- ol.format.XMLFeature

### Methods

#### readFeatures(source){Array.<ol.Feature>} experimental

src/ol/format/osmxmlformat.js, line 194

  Read all features from an OSM source.

  Name | Type | Description
  --- | --- | ---
  `source` | ArrayBuffer | Document | Node | Object | string | Source.

  ##### Returns:

  Features.

#### readProjection(source){ol.proj.Projection} experimental

src/ol/format/osmxmlformat.js, line 223

  Read the projection from an OSM source.

  Name | Type | Description
  --- | --- | ---
  `source` | ArrayBuffer | Document | Node | Object | string | Source.

  ##### Returns:

  Projection.